﻿//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Author: Synactive, Inc. [1065 E. Hillsdale Blvd, Foster City, CA, 94404, USA]
// Email: support@guixt.com; sales@guixt.com; 
// Contact: 650.341.3310
// Version: 1.0.0.0
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

del("X[IMAGE_CONTAINER]");
inputfield( [2,3], "Plant", [2,15],{ "name":"z_plant", "size":4, "required":true});
inputfield( [3,3], "Material", [3,15],{ "name":"z_material", "size":10, "required":true});
inputfield( [4,3], "Stor Loc.", [4,15],{ "name":"z_storloc", "size":4, "required":true});
pushbutton([6,10], "Set Cursor", {"process":setCursor});

if(!isBlank(cursorPosition)) {
	setcursor(cursorPosition);
	cursorPosition = '';
} else {
	setcursor('V[z_plant]');
}

function isBlank(jvar) {
    if (jvar== void 0 || jvar==null || jvar=="") {
       return true;
    } else {
       return false;
    }
}

function setCursor(){
	 if(isBlank(z_plant)){
			message('E: Please enter Plant');
			enter('?');
			goto END;
		}
		 if(isBlank(z_material)){
			message('E: Please enter Material');
			set('V[cursorPosition]','V[z_material]');
			enter('?');
			goto END;
		}
		 if(isBlank(z_storloc)){
			message('E: Please enter storage location');
			set('V[cursorPosition]','V[z_storloc]');
			enter('?');
			goto END;
		}
		
		END:;
	
}